#include "WaylandInterface.h"

#include "Window.h"
#include "FileLogger.h"

#include "GuiApplication.h"

#include "TestFramework.h"

TEST_CASE(TestWaylandWindow, "web")
{
    FileLogger::GetInstance().Open();

    auto app = std::make_unique<GuiApplication>();

    //app->setUiInterfaceBackend(UiInterfaceFactory::Backend::WAYLAND);
    app->setUiInterfaceBackend(UiInterfaceFactory::Backend::WAYLAND_RASTER);

    app->run();
}
